> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cuuro.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Analysis



## OpenAPI

````yaml get /analysis
openapi: 3.0.0
info:
  title: Cuuro external api service
  description: The external api service for cuuro
  version: '1.0'
  contact: {}
servers: []
security: []
tags:
  - name: cuuro
    description: ''
paths:
  /analysis:
    get:
      tags:
        - analysis
      operationId: AnalysisController_getInvestorAnalysis
      parameters: []
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetInvestorAnalysisResponse'
      security:
        - bearer: []
components:
  schemas:
    GetInvestorAnalysisResponse:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/AnalysisData'
        message:
          type: string
      required:
        - data
        - message
    AnalysisData:
      type: object
      properties:
        id:
          type: string
          description: The id of the analysis
        type:
          $ref: '#/components/schemas/AnalysisType'
          description: The type of the analysis
        isCompleted:
          type: boolean
          description: The status of the analysis
        status:
          enum:
            - PENDING
            - COMPLETED
          type: string
          description: The status of the analysis
        cuuroModelVersion:
          type: string
          description: The curro model version
        scoreDetails:
          $ref: '#/components/schemas/InvestmentAnalysisScore'
        createdAt:
          type: string
          description: The date the analysis was created
        updatedAt:
          type: string
          description: The date the analysis was last updated
        result:
          $ref: '#/components/schemas/AnalysisResult'
        overallScore:
          type: number
        investorStartupId:
          type: string
        investorId:
          type: string
      required:
        - id
        - type
        - isCompleted
        - status
        - cuuroModelVersion
        - scoreDetails
        - createdAt
        - updatedAt
        - result
        - overallScore
        - investorStartupId
        - investorId
    AnalysisType:
      type: string
      enum:
        - investment_analysis
    InvestmentAnalysisScore:
      type: object
      properties:
        value_proposition:
          type: number
        innovation:
          type: number
        market_size:
          type: number
        defensibility:
          type: number
        scalability:
          type: number
        traction:
          type: number
        overall_score:
          type: number
      required:
        - value_proposition
        - innovation
        - market_size
        - defensibility
        - scalability
        - traction
        - overall_score
    AnalysisResult:
      type: object
      properties:
        score:
          $ref: '#/components/schemas/InvestmentAnalysisScore'
        thesis:
          type: string
        risk:
          type: string
        customer:
          type: string
        problem:
          type: string
        value:
          type: string
        size:
          type: string
        innovation:
          type: string
        defensibility:
          type: string
        scalability:
          type: string
        traction:
          type: string
      required:
        - score
        - thesis
        - risk
        - customer
        - problem
        - value
        - size
        - innovation
        - defensibility
        - scalability
        - traction
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````